@use './styles/chart-line.variations' as variations;
@use './styles/chart-line.variables' as *;

:host {
  display: block;
  height: 100%;
  width: 100%;
  @include digi-chart-line--variables;
  $base: '.digi-chart-line';
  position: relative;

  .digi-chart-line {
    // Styling here...
    color: var(--MY-PROP); // Example!
    height: 100%;
    width: 100%;
    min-height: fit-content;
  }
}

.buttonWrapper {
  --digi--button--padding--medium: 0 0 0.75rem 0;
}

.chart {
  box-sizing: content-box;
  width: auto;
}

.chartTitle {
  --digi--typography--h2--margin: 0.5rem;
  --digi--typography--h3--margin: 0.5rem;
  --digi--typography--h4--margin: 0.5rem;
  --digi--typography--h5--margin: 0.5rem;
  --digi--typography--h6--margin: 0.5rem;
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  align-items: left;
  text-align: left;
  padding-bottom: 1rem;
  flex-grow: 2;
}

.close {
  --digi--icon--color: rgb(245, 245, 245);
  cursor: pointer;
  margin-top: -5px;
}

.legend {
  display: flex;
  flex-direction: row;
  flex-wrap: no-wrap;
  gap: 0.5rem;
  margin: 0.5rem 0; // Changing margin affects size of entire chart
  margin-top: 1.25rem;
  height: 2.675rem;
  overflow-x: auto;
  overflow-y: hidden;
  cursor: default;
  max-width: 100%;
}

.chip {
  box-sizing: border-box;
}

.legend::-webkit-scrollbar,
.table::-webkit-scrollbar {
  height: 10px;
  width: 10px;
}

.legend::-webkit-scrollbar-track,
.table::-webkit-scrollbar-track {
  background: whitesmoke;
  border-radius: 4px;
}

.legend::-webkit-scrollbar-thumb,
.table::-webkit-scrollbar-thumb {
  background-color: lightgray;
  border-radius: 4px;
  border: 0;
}

.chartTooltip {
  box-sizing: border-box;
  position: absolute;
  background-color: rgba(10, 10, 10, 0.9);
  color: white;
  padding: 5px 10px;
  padding-right: 5px;
  border-radius: 4px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  box-shadow:
    rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  font-size: 14px;
  display: none;
}

.scChartStatus {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  white-space: nowrap;
}

.table {
  display: none;
  overflow-y: scroll;
  height: fit-content;
  border-radius: 4px;
  padding: 0.25rem;
  //border: 0.5px solid var(--digi--global--color--neutral--grayscale--darker);

  background:
		/* Shadow Cover TOP */
    linear-gradient(white 30%, rgba(255, 255, 255, 0)) center top,
    /* Shadow Cover BOTTOM */ linear-gradient(rgba(255, 255, 255, 0), white 70%)
      center bottom,
    /* Shadow TOP */
      radial-gradient(
        farthest-side at 50% 0,
        rgba(0, 0, 0, 0.2),
        rgba(0, 0, 0, 0)
      )
      center top,
    /* Shadow BOTTOM */
      radial-gradient(
        farthest-side at 50% 100%,
        rgba(0, 0, 0, 0.2),
        rgba(0, 0, 0, 0)
      )
      center bottom;

  background-repeat: no-repeat;
  background-size:
    100% 40px,
    100% 40px,
    100% 14px,
    100% 14px;
  background-attachment: local, local, scroll, scroll;
}

.tableIcon {
  --digi--icon--color: var(--digi--global--color--neutral--grayscale--darker);
  width: 26px;
  height: 26px;
  pointer-events: none;
}

.tableIcon:hover {
  --digi--icon--color: var(
    --digi--global--color--neutral--grayscale--darkest-3
  );
}

.tooltipBody {
  display: flex;
  flex-direction: column;
  margin-right: 5px;
}

.topWrapper {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
  flex-wrap: wrap;
}
